# $Revision: 1.25 $, $Date: 2010/08/21 19:09:08 $
%include	/usr/lib/rpm/macros.php
%define		_class		File
%define		_subclass	Bittorrent
%define		_status		stable
%define		_pearname	%{_class}_%{_subclass}

Summary:	%{_pearname} - Decode and Encode data in Bittorrent format
Summary(pl.UTF-8):	%{_pearname} - Kodowanie i dekodowanie danych w formacie Bittorent
Name:		php-pear-%{_pearname}
Version:	1.1.0
Release:	4
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	a4c7b7380450b65b80d2a1880a612f1f
URL:		http://pear.php.net/package/File_Bittorrent/
BuildRequires:	php-pear-PEAR >= 1:1.4.2
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-pear
Requires:	php-pear-PEAR-core >= 1:1.4.2
Requires:	php-pear-PHP_Compat >= 1.1.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package consists of two classes which handles the encoding and
decoding of data in Bittorrent format.

You can also extract useful informations from .torrent files.

Usage Example: <http://m.tacker.org/pear/File_Bittorrent/example.phps>

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Ten pakiet dostarcza dwie klasy obsługujące kodowanie i dekodowanie
danych w formacie Bittorent.

Można także wydobyć wiele przydatnych informacji z plików .torrent.

Przykład użycia:
<http://m.tacker.org/pear/File_Bittorrent/example.phps>

Ta klasa ma w PEAR status: %{_status}.

%package tests
Summary:	Tests for PEAR::%{_pearname}
Summary(pl.UTF-8):	Testy dla PEAR::%{_pearname}
Group:		Development/Languages/PHP
Requires:	%{name} = %{version}-%{release}
AutoProv:	no
AutoReq:	no

%description tests
Tests for PEAR::%{_pearname}.

%description tests -l pl.UTF-8
Testy dla PEAR::%{_pearname}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%doc docs/%{_pearname}/*
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/%{_class}/%{_subclass}

%files tests
%defattr(644,root,root,755)
%{php_pear_dir}/tests/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-File_Bittorrent.spec,v $
Revision 1.25  2010/08/21 19:09:08  glen
- updated deps with pearize.sh
- release 4

Revision 1.24  2008/01/31 12:16:48  glen
- rel 3

Revision 1.23  2007-11-19 13:02:19  glen
- rel 2

Revision 1.22  2007-03-16 20:54:31  glen
- 1.1.0, added -tests

Revision 1.21  2007/02/13 08:06:39  glen
- tabs in preamble

Revision 1.20  2007/02/12 01:06:24  baggins
- converted to UTF-8

Revision 1.19  2006/09/04 16:06:24  adamg
- updated to 1.0.2

Revision 1.18  2006/07/03 07:28:35  adamg
- updated to 1.0.1

Revision 1.17  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.16  2006/03/29 22:29:17  glen
- rel 3 (rebuild with less deps)

Revision 1.15  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.14  2006/02/16 18:56:35  glen
- require php-pear-PEAR-core, not the full PEAR package with deps

Revision 1.13  2005/10/26 15:49:22  glen
- PEAR dep from pearize.sh

Revision 1.12  2005/10/26 11:42:55  glen
- update to 1.0.0-stable

Revision 1.11  2005/10/06 17:21:24  glen
- updated to 1.0.0 RC2

Revision 1.10  2005/10/05 18:31:31  glen
- rel 2

Revision 1.9  2005/10/03 22:59:16  glen
- semi automatically added deps from pear

Revision 1.8  2005/09/20 21:57:25  glen
- new pear packaging

Revision 1.7  2005/03/27 01:02:21  adamg
- updated to 0.1.6

Revision 1.6  2005/02/07 16:25:14  adamg
- updated to 0.1.5

Revision 1.5  2005/02/05 19:19:39  adamg
- updated to 0.1.4

Revision 1.4  2004/12/03 22:06:23  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.3  2004/10/31 22:22:38  paladine
- spaces->tabs
- formatting

Revision 1.2  2004/08/07 21:36:35  qboosh
- typos

Revision 1.1  2004/08/07 18:33:26  adamg
- new
